import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import { memo } from 'react';
import { Loading, navigatorImpl, ScrollView, useComponent } from '@brushes/qj-simulate-component';
import { QjMobileIcon } from '../../common/icon';
import { Filter } from './components/filter';
import { useGoodsList } from './hooks/useGoodsList';
import { routerMap } from '../../routerMap';
const GoodsListJsx = ({ classtreeCode = '' }) => {
    const { View, Text } = useComponent();
    const { loading, getData, list } = useGoodsList(classtreeCode);
    return (_jsxs(View, Object.assign({ className: 'goodsList' }, { children: [_jsxs(View, Object.assign({ className: 'topInfo' }, { children: [_jsxs(View, Object.assign({ className: 'search' }, { children: [_jsx(QjMobileIcon, { value: "fenxiang" }), _jsx(Text, Object.assign({ className: 'title' }, { children: "\u641C\u7D22\u5546\u54C1" }))] })), _jsx(Filter, {})] })), _jsx(View, Object.assign({ className: 'listWrap' }, { children: _jsxs(ScrollView, Object.assign({ onScroll: () => getData(), style: { height: '100vh' } }, { children: [_jsx(View, Object.assign({ className: 'list' }, { children: list.map((item) => {
                                return (_jsxs(View, Object.assign({ onClick: () => navigatorImpl(routerMap.goodDetail), className: 'listItem' }, { children: [_jsx(View, { className: 'img', style: { backgroundImage: `url(${item.dataPic})` } }), _jsx(Text, Object.assign({ className: 'name' }, { children: item.goodsName })), _jsxs(Text, Object.assign({ className: 'price' }, { children: ["\uFFE5 ", item.pricesetNprice.toFixed(2)] }))] }), item.skuCode));
                            }) })), loading ? _jsx(Loading, {}) : null] })) }))] })));
};
export const GoodsList = memo(GoodsListJsx);
