import { jsx as _jsx } from "react/jsx-runtime";
import { useComponent } from '@brushes/qj-simulate-component';
import { getEnv } from '@brushes/api';
export const Notice = ({ text, backgroundColor, color, fontSize, marginBottom, borderColor }) => {
    const flag = getEnv();
    const { View, NoticeBar } = useComponent();
    console.log(22, flag);
    if (!View)
        return null;
    return (_jsx(View, Object.assign({ style: { marginBottom } }, { children: _jsx(NoticeBar, { speed: 50, style: {
                '--border-color': borderColor,
                '--font-size': fontSize + 'px',
                '--background-color': backgroundColor,
                '--text-color': color
            }, content: text, color: "alert" }) })));
};
