import { jsx as _jsx } from "react/jsx-runtime";
import { useState } from 'react';
import { useComponent } from '@brushes/qj-simulate-component';
const dataConfig = [
    {
        name: '默认',
        code: 'pricesetNprice'
    },
    {
        name: '新品',
        code: ''
    },
    {
        name: '销量',
        code: 'goodsSalesvolume'
    },
    {
        name: '价格',
        code: 'pricesetNprice'
    }
];
export const Filter = () => {
    const { View } = useComponent();
    const [active, setActive] = useState(0);
    const handleSort = (e) => {
        const { index, type } = e.target.dataset;
        setActive(index);
        console.log(30, type);
    };
    return (_jsx(View, Object.assign({ className: 'sortWrap' }, { children: dataConfig.map((item, index) => (_jsx(View, Object.assign({ "data-index": index, "data-type": item.code, className: `sortItem ${active === index ? 'active' : ''}`, onClick: handleSort }, { children: item.name }), index))) })));
};
